## gerris 20110329-dfsg.2

=== debian/changelog ===
gerris (20110329-dfsg.2-1build2) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 14:00:09 -0500

gerris (20110329-dfsg.2-1build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:20:29 +0000

gerris (20110329-dfsg.2-1) unstable; urgency=low

  * New upstream snapshot 2011-03-29 (tarball 110330 + DSFG removal of
    RstarTree and fes2004 modules).
  * Standards-Version: 3.9.1.
  * Switch to dpkg-source 3.0 (quilt) format 
    (enables upstream .bz2 tarball and other advantages)

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Apr 2011 12:16:54 +1000

gerris (20091109-dfsg.1-2) unstable; urgency=low

  * Use dh (debhelper v7) rather than cdbs to autobuild package.
    cdbs does not support multiple builds (mpi vs non-mpi).
  * Set up build-support for quilt (not actively used yet).
  * Remove get-orig-source target from debian/rules; gerris has
    nonfree code which needs to be removed from the upstream tarball
    anyway.
  * Introduction of new packages with MPI support. Currently conflicts
    with single processor builds (i.e. install one or the other, can't
    install simultaneously).
  * libgfs library package names bumped up to reflect increment in
    library soname.

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Dec 2009 14:20:42 +1100

gerris (20091109-dfsg.1-1) unstable; urgency=low

  * New upstream version.
  * Standards version 3.8.3.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Nov 2009 23:08:04 +1100

gerris (20090512-dfsg.1-1) unstable; urgency=low

  * New upstream version.
    - upstream now releases snapshots only, rather than versioned
      releases, so upstream version is given by release date: 20090512.
    - modules/RStarTree has no free licence, so has been removed.
    - likewise modules/fes2004 removed: uses non-free Aktarus tide
      prediction functions.
    - fpucontrol-bug350595.patch superseded: src/init.c now uses
      fenv.h instead of fpu_control.h.  Closes: #525396.
  * debian/copyright lists licences for modules:
      - wavewatch: public domain
      	(see http://polar.ncep.noaa.gov/waves/wavewatch/wavewatch.html )
      - stokes: CW263.f confirmed by the author to be available in the
      	public domain. 
  * With provision of the stokes module, /usr/lib/gerris now contains both
    arch dependent files (libstokes) and arch indep (m4.awk,
    gfs2tex.py), installed at /usr/share/gerris/lib.  /usr/lib/gerris 
    is therefore no longer a symlink to /usr/share/gerris/lib, unlike
    earlier revisions.
  * fixed spelling in libgfs-dbg description. Closes: #527028.
  * Build-depends: gfortran (for stokes module).

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Jun 2009 00:54:21 +1000

gerris (0.9.2+darcs081022-dfsg.1-5) unstable; urgency=low

  * debian/control: Place libgfs-dbg in Section: debug.
  * debian/gerris.install: 
      - install usr/share contents (MIME data, gerris icons).  
      - install m4 and python scripts from usr/lib/gerris into
        usr/share/gerris/lib (arch-independent files, hence install in
        usr/share).  gerris.links creates symlink from
        usr/share/gerris/lib back to usr/lib/gerris.
        gerris Depends: m4
        Closes: #526424.

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 May 2009 11:44:12 +1000

gerris (0.9.2+darcs081022-dfsg.1-4) unstable; urgency=low

  * Update fpucontrol-bug350595.patch:
    - #define FPU_AVAILABLE when FPU_SETCW and _FPU_IEEE are defined.
      Check FPU_AVAILABLE is defined at point where fpu_trap_exception
      is used. Closes: #523785.
    - Exclude armel (arm + softfp) from fpu manipulations. The
      instruction used in FPU_SETCW on arm is specific to the VFP unit
      which is not present on armel systems. Closes: #520878
  * debian/rules: disable mpi support with cdbs variable
      DEB_CONFIGURE_EXTRA_FLAGS = --disable-mpi
    to enable more consistent building on systems where mpi libs are
    installed.  In future we will build versions with and without mpi
    support.

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 Apr 2009 15:44:23 +1000

gerris (0.9.2+darcs081022-dfsg.1-3) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Check that _FPU_IEEE is actually available on the platform 
    (Closes: #520866)

  [ Drew Parsons ]
  * Build-Depends: python.  
    Some subdirs such as ./test use python at build time.

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Mar 2009 15:00:41 +1100

gerris (0.9.2+darcs081022-dfsg.1-2) unstable; urgency=low

  * Tighten dependency of libgfs-dev on libgfs-1.3-1 by specifying
    (= ${binary:Version}).
  * modules directory is removed from the source tarball for now due
    to licence concerns, so no need to actually mention those licences in
    the Debian copyright file.
  * Standards-Version: 3.8.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Mar 2009 22:56:01 +1100

gerris (0.9.2+darcs081022-dfsg.1-1) unstable; urgency=low

  [ Ruben Molina ]
  * New Maintainer (Closes: #471984)
  * New upstream version (Closes: #354032)
  * Acknowledge previous NMUs (Closes: #498305)
  * Migrate to CDBS
  * Update Standards to 3.8.0
  * Change section (math to science)
  * Update Depends (libnetcdf3 to libnetcdf4, libgsl0 to libgsl0ldbl)
  * Split libraries into a new binary packages
  * Add manpages
  * Repackage upstream sources removing modules/* 
    (copyright/license issues). See debian/README.Debian-source
  * Add debian/get-orig-source.sh
  * Add debian/watch

  [ Drew Parsons ]
  * Set version to 0.9.2+darcs0810221-dfsg.1-1
  * The various libgfs shared libraries currently have the same
    soname version libgfs*-1.3.so.1, so put them in package
    libgfs-1.3-1.  Hopefully they will continue to keep the same
    soname in the future. 
  * gerris uses its own header files when executing scripts (it
    compiles a binary at runtime for execution). 

