=== debian/control ===
Source: gerris
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev,
	libgts-dev (>> 0.7.6),  libgts-bin (>> 0.7.6),
	libnetcdf-dev, libgsl0-dev, libglib2.0-dev, python,
	gfortran, mpi-default-dev
Standards-Version: 3.9.1
Homepage: http://gfs.sourceforge.net/
Vcs-Git: git://git.debian.org/git/debian-science/packages/gerris.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gerris.git/.git

Package: gerris
Architecture: any
Depends: libgfs-dev, m4, ${shlibs:Depends}, ${misc:Depends}
Conflicts: gerris-mpi
Replaces: gerris-mpi
Suggests: python
Description: Gerris Flow Solver
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 A brief summary of its main (current) features:
 .
   * Solves the time-dependent incompressible variable-density Euler, 
     Stokes or Navier-Stokes equations
   * Adaptive mesh refinement: the resolution is adapted dynamically to 
     the features of the flow
   * Entirely automatic mesh generation in complex geometries
   * Second-order in space and time
   * Unlimited number of advected/diffused passive tracers
   * Flexible specification of additional source terms
   * Portable parallel support using the MPI library
   * Volume of Fluid advection scheme for interfacial flows 
 .
 For multi-cpu MPI support, install gerris-mpi instead.

Package: libgfs-dev
Architecture: any
Section: libdevel
Depends: libgfs-1.3-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgfs-mpi-dev
Replaces: libgfs-mpi-dev
Description: Gerris Flow Solver -- development libraries and headers
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the headers and development libraries needed to
 build applications using libgfs.

Package: libgfs-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libgfs-1.3-2 (= ${binary:Version}) | libgfs-mpi-1.3-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Gerris Flow Solver -- libraries with debugging symbols
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the debugging symbols for libgfs.

Package: libgfs-1.3-2
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgfs-mpi-1.3-2, libgfs-1.3-1 (>=20090512-dfsg.1-1)
Replaces: libgfs-mpi-1.3-2, libgfs-1.3-1 (>=20090512-dfsg.1-1)
Description: Gerris Flow Solver -- shared libraries
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the shared libraries for libgfs.

Package: gerris-mpi
Architecture: any
Depends: libgfs-mpi-dev, m4, ${shlibs:Depends}, ${misc:Depends}
Suggests: python
Conflicts: gerris
Replaces: gerris
Description: Gerris Flow Solver
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 A brief summary of its main (current) features:
 .
   * Solves the time-dependent incompressible variable-density Euler, 
     Stokes or Navier-Stokes equations
   * Adaptive mesh refinement: the resolution is adapted dynamically to 
     the features of the flow
   * Entirely automatic mesh generation in complex geometries
   * Second-order in space and time
   * Unlimited number of advected/diffused passive tracers
   * Flexible specification of additional source terms
   * Portable parallel support using the MPI library
   * Volume of Fluid advection scheme for interfacial flows 
 .
 This package has MPI support built in.

Package: libgfs-mpi-dev
Architecture: any
Section: libdevel
Depends: libgfs-mpi-1.3-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgfs-dev
Replaces: libgfs-dev
Description: Gerris Flow Solver -- development libraries and headers
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the headers and development libraries needed to
 build applications using libgfs.
 .
 This package has MPI support built in.


Package: libgfs-mpi-1.3-2
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgfs-1.3-2
Replaces: libgfs-1.3-2
Description: Gerris Flow Solver -- shared libraries
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the shared libraries for libgfs.
 .
 This package has MPI support built in.
