=== debian/watch ===
version=3
opts="uversionmangle=s/^/0.9.2+darcs/,dversionmangle=s/\~dfsg(\d+)?$//" \
http://gerris.dalembert.upmc.fr/gerris/tarballs/gerris-snapshot-(.*)\.tar\.gz
