## gerris 20131206%2Bdfsg

=== debian/changelog ===
gerris (20131206+dfsg-5) unstable; urgency=medium

  * [dab307d] Add libgts-dev to Depends section of gerris. (Closes: #771291)

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Dec 2014 22:38:58 +0100

gerris (20131206+dfsg-4) unstable; urgency=medium

  * [8a53e18] Remove testCons autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Sep 2014 20:44:13 +0200

gerris (20131206+dfsg-3) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * [6418ba5] Fix autopkgtest. (Closes: #759529)

 -- Anton Gladky <gladk@debian.org>  Sat, 30 Aug 2014 22:27:30 +0200

gerris (20131206+dfsg-2) unstable; urgency=medium

  * [42fc4ea] Add libgfs-dev to Depends of gerris.
  * [4632bc4] Add missing dependencies in autopkgtests.
  * [99045e9] Recommend gfsview for gerris.

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Aug 2014 20:46:14 +0200

gerris (20131206+dfsg-1) unstable; urgency=medium

  * [8fe0565] Update watch-file.
  * [bb1c3c7] Use DEP-5 for d/copyright.
  * [653f6dd] Imported Upstream version 20131206+dfsg
  * [4180f06] Refresh patches.
  * [652d9bc] Add missing build_functions file.
  * [2574e98] Replace ffmpeg command by avconv.
  * [3141ff8] Add missing Makefile.in.
  * [23b1801] Minor update in install-files, use autoreconf. (Closes: #727867)
  * [295e03c] Use wrap-and-sort.
  * [a34c986] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Fri, 01 Aug 2014 00:32:32 +0200

gerris (20110329-dfsg.2-4) unstable; urgency=medium

  * [520d60b] Set versioned build-depends for gts. Fixes FTBFS.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Apr 2014 21:12:49 +0200

gerris (20110329-dfsg.2-3) unstable; urgency=medium

  * [27923c9] Set compat-level 9.
  * [3dd3286] Fix FTBFS (update patch).
  * [3b01f20] Update paths due to multiarch-prefix.
  * [16e562e] Remove quilt from BD,
  * [10f1bd8] Update description.
  * [76842ad] Add myself to uploaders.
  * [2c9bc39] Bump Standards-Version 3.9.5. No changes.
  * [4c93f57] Set canonical VCS-fields.

 -- Anton Gladky <gladk@debian.org>  Mon, 14 Apr 2014 22:01:45 +0200

gerris (20110329-dfsg.2-2~experimental1) experimental; urgency=low

  * Test against mpi-defaults 1.0 in experimental
  * Standards-Version: 3.9.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jun 2011 23:36:30 +1000
