## gerris 20131206+dfsg

=== debian/changelog ===
gerris (20131206+dfsg-7) unstable; urgency=medium

  * [43c738d] Fix compiler in build_function. (Closes: #815824)

 -- Anton Gladky <gladk@debian.org>  Thu, 25 Feb 2016 21:10:50 +0100

gerris (20131206+dfsg-6) unstable; urgency=medium

  [ Reiner Herrmann ]
  * [7af3877] Sort with C locale to get reproducible results. (Closes: #795868)

  [ Anton Gladky ]
  * [cfbf348] Apply cme fix dpkg-control.
  * [ed6802c] Fix syminks. (Closes: #773038)
  * [f46e087] Minor fix in patch description.
  * [bd2cfa4] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Mon, 17 Aug 2015 21:29:09 +0200
