=== debian/control ===
Source: gerris
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
           Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               gfortran,
               libglib2.0-dev,
               libgsl0-dev,
               libgts-bin (>= 0.7.6+darcs121130-1.2),
               libgts-dev (>= 0.7.6+darcs121130-1.2),
               libnetcdf-dev,
               mpi-default-dev,
               python
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gerris.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gerris.git
Homepage: http://gfs.sourceforge.net/

Package: gerris
Architecture: any
Depends: libgfs-dev,
         libgts-dev,
         libav-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gfsview
Suggests: python
Conflicts: gerris-mpi
Replaces: gerris-mpi
Description: Fluid Flow Solver
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 A brief summary of its main (current) features:
 .
   * Solves the time-dependent incompressible variable-density Euler,
     Stokes or Navier-Stokes equations
   * Adaptive mesh refinement: the resolution is adapted dynamically to
     the features of the flow
   * Entirely automatic mesh generation in complex geometries
   * Second-order in space and time
   * Unlimited number of advected/diffused passive tracers
   * Flexible specification of additional source terms
   * Portable parallel support using the MPI library
   * Volume of Fluid advection scheme for interfacial flows
 .
 For multi-cpu MPI support, install gerris-mpi instead.

Package: gerris-mpi
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: python
Conflicts: gerris
Replaces: gerris
Description: Fluid Flow Solver
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 A brief summary of its main (current) features:
 .
   * Solves the time-dependent incompressible variable-density Euler,
     Stokes or Navier-Stokes equations
   * Adaptive mesh refinement: the resolution is adapted dynamically to
     the features of the flow
   * Entirely automatic mesh generation in complex geometries
   * Second-order in space and time
   * Unlimited number of advected/diffused passive tracers
   * Flexible specification of additional source terms
   * Portable parallel support using the MPI library
   * Volume of Fluid advection scheme for interfacial flows
 .
 This package has MPI support built in.

Package: libgfs-1.3-2
Architecture: any
Section: devel
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgfs-1.3-1,
           libgfs-mpi-1.3-2
Replaces: libgfs-1.3-1,
          libgfs-mpi-1.3-2
Description: Fluid Flow Solver -- shared libraries
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the shared libraries for libgfs.

Package: libgfs-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libgfs-1.3-2 (= ${binary:Version}) | libgfs-mpi-1.3-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Fluid Flow Solver -- libraries with debugging symbols
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the debugging symbols for libgfs.

Package: libgfs-dev
Architecture: any
Section: libdevel
Depends: libgfs-1.3-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgfs-mpi-dev
Replaces: libgfs-mpi-dev
Description: Fluid Flow Solver -- development libraries and headers
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the headers and development libraries needed to
 build applications using libgfs.

Package: libgfs-mpi-1.3-2
Architecture: any
Section: devel
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgfs-1.3-2
Replaces: libgfs-1.3-2
Description: Fluid Flow Solver -- shared libraries
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the shared libraries for libgfs.
 .
 This package has MPI support built in.

Package: libgfs-mpi-dev
Architecture: any
Section: libdevel
Depends: libgfs-mpi-1.3-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgfs-dev
Replaces: libgfs-dev
Description: Fluid Flow Solver -- development libraries and headers
 Gerris is a system for the solution of the partial differential
 equations describing fluid flow.
 .
 This package contains the headers and development libraries needed to
 build applications using libgfs.
 .
 This package has MPI support built in.
