=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,10 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# gerris debian/rules using debhelper. Adapted from dh_make v0.50.
-#
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-# This has to be exported to make some magic below work.
-export DH_OPTIONS
-
-# it's not appropriate to run all the tests in the test subdir as part of 
-# the build process, since they assume gerris is already installed,
-# calling gfsview-batch2D, etc.  So invoke nocheck (relevant to dh_auto_test)
 export DEB_BUILD_OPTIONS=nocheck
 
 BUILDDIR=debian/build
 BUILDDIR_MPI=debian/build-mpi
-
-# uses generic debhelper build
 %:
-	dh --with quilt  $@
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=$(BUILDDIR) -- --disable-mpi
@@ -44,6 +30,8 @@
 override_dh_auto_install:
 	dh_auto_install --builddirectory=$(BUILDDIR) --dest=debian/tmp
 	dh_auto_install --builddirectory=$(BUILDDIR_MPI) --dest=debian/tmp-mpi
+	find $(CURDIR)/debian/ -name "*.la" | xargs rm -f
+	sed -i -e "s/mpicc/gcc/g" $(CURDIR)/debian/tmp/usr/share/gerris/build_function
 
 # don't need to install darcs2dist or gfs2doc
 # see bug#436240 for my opinion on the sensibleness of this
