=== debian/tests/control ===
Tests: testHydro testKinetic testPlate testQuadr
Depends: gerris, build-essential, pkg-config, mpi-default-dev
